---
type: api
title: Enable streams
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/operation/operation-post-streams-enable
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/operation/operation-post-streams-enable
products:
  - Kibana
---

# Enable streams

Availability:

- Server: `https://{kibana_url}`

## Paths

- `POST` `/api/streams/_enable`
- `POST` `/s/{space_id}/api/streams/_enable`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/authentication#apikeyauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Enables wired streams<br/><br/>[Required authorization] Route required privileges: manage_stream.

## Request Body

`application/json`

Any of:
- **object**
- **object**

## Response

Streams were enabled successfully.

## Code Examples

#### Console

```console
POST /api/streams/_enable
```

#### curl

```curl
curl -X POST "https://{kibana_url}/api/streams/_enable" \
  -H "kbn-xsrf: true"
```

